Index: doc/src/sgml/runtime.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/runtime.sgml,v
retrieving revision 1.156
diff -c -r1.156 runtime.sgml
*** doc/src/sgml/runtime.sgml	15 Nov 2002 03:22:30 -0000	1.156
--- doc/src/sgml/runtime.sgml	20 Nov 2002 18:18:01 -0000
***************
*** 1642,1647 ****
--- 1642,1670 ----
       </varlistentry>
  
       <varlistentry>
+       <term><varname>SUPERUSER_RESERVED_CONNECTIONS</varname>
+       (<type>integer</type>)</term>
+       <listitem>
+        <para>
+         Determines the number of <quote>connection slots</quote> that
+         are reserved for connections by the <productname>PostgreSQL</>
+         superuser. The maximum number of concurrent connections that
+         can be made from any user account is
+         <varname>max_connections</> minus
+         <varname>superuser_reserved_connections</varname>; beyond that
+         point, any additional connections from non-superuser accounts
+         are refused.
+        </para>
+ 
+        <para>
+         The default value is 2. This must be at least as large as the
+         value of <varname>max_connections</varname>. This parameter
+         can only be set at server start.
+        </para>
+       </listitem>
+      </varlistentry>
+ 
+      <varlistentry>
        <term><varname>MAX_EXPR_DEPTH</varname> (<type>integer</type>)</term>
        <listitem>
         <para>
***************
*** 2941,2964 ****
    </para>
  
    <para>
!    With SSL support compiled in, the <productname>PostgreSQL</> server
!    can be started with SSL support by setting the parameter
!    <varname>ssl</varname> to on in
!    <filename>postgresql.conf</filename>. When starting in SSL mode,
!    the server will look for the files <filename>server.key</> and
!    <filename>server.crt</> in the data directory.  These files should
!    contain the server private key and certificate respectively. These
!    files must be set up correctly before an SSL-enabled server can
!    start. If the private key is protected with a passphrase, the
!    server will prompt for the passphrase and will not start until it
!    has been entered.
    </para>
  
    <para>
!    The server will listen for both standard and SSL connections on the
!    same TCP/IP port, and will negotiate with any connecting client on
!    whether to use SSL. See <xref linkend="client-authentication"> about
!    how to force the server to only use of SSL for certain connections.
    </para>
  
    <para>
--- 2964,2988 ----
    </para>
  
    <para>
!    With <acronym>SSL</> support compiled in, the
!    <productname>PostgreSQL</> server can be started with
!    <acronym>SSL</> support by setting the parameter
!    <varname>ssl</varname> to on in <filename>postgresql.conf</>. When
!    starting in <acronym>SSL</> mode, the server will look for the
!    files <filename>server.key</> and <filename>server.crt</> in the
!    data directory.  These files should contain the server private key
!    and certificate respectively. These files must be set up correctly
!    before an <acronym>SSL</>-enabled server can start. If the private key is
!    protected with a passphrase, the server will prompt for the
!    passphrase and will not start until it has been entered.
    </para>
  
    <para>
!    The server will listen for both standard and <acronym>SSL</>
!    connections on the same TCP/IP port, and will negotiate with any
!    connecting client on whether to use <acronym>SSL</>. See <xref
!    linkend="client-authentication"> about how to force the server to
!    only use of <acronym>SSL</> for certain connections.
    </para>
  
    <para>
